function __global_object_depths() {
	// Initialise the global array that allows the lookup of the depth of a given object
	// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
	// NOTE: MacroExpansion is used to insert the array initialisation at import time
	gml_pragma( "global", "__global_object_depths()");

	// insert the generated arrays here
	global.__objectDepths[0] = -1000; // obj_hud
	global.__objectDepths[1] = 0; // obj_girl
	global.__objectDepths[2] = 0; // obj_camera
	global.__objectDepths[3] = 0; // obj_shot
	global.__objectDepths[4] = 0; // obj_mook
	global.__objectDepths[5] = 0; // obj_monstergen
	global.__objectDepths[6] = 0; // obj_boss1
	global.__objectDepths[7] = 0; // obj_bulletA
	global.__objectDepths[8] = 0; // obj_enemy
	global.__objectDepths[9] = 0; // obj_gunner
	global.__objectDepths[10] = 1; // obj_particlething
	global.__objectDepths[11] = 0; // object13
	global.__objectDepths[12] = 1; // obj_deathparticle
	global.__objectDepths[13] = 0; // obj_bombpart
	global.__objectDepths[14] = 0; // obj_title
	global.__objectDepths[15] = 0; // obj_powerups
	global.__objectDepths[16] = 0; // obj_settings
	global.__objectDepths[17] = 0; // obj_ending
	global.__objectDepths[18] = 0; // obj_story


	global.__objectNames[0] = "obj_hud";
	global.__objectNames[1] = "obj_girl";
	global.__objectNames[2] = "obj_camera";
	global.__objectNames[3] = "obj_shot";
	global.__objectNames[4] = "obj_mook";
	global.__objectNames[5] = "obj_monstergen";
	global.__objectNames[6] = "obj_boss1";
	global.__objectNames[7] = "obj_bulletA";
	global.__objectNames[8] = "obj_enemy";
	global.__objectNames[9] = "obj_gunner";
	global.__objectNames[10] = "obj_particlething";
	global.__objectNames[11] = "object13";
	global.__objectNames[12] = "obj_deathparticle";
	global.__objectNames[13] = "obj_bombpart";
	global.__objectNames[14] = "obj_title";
	global.__objectNames[15] = "obj_powerups";
	global.__objectNames[16] = "obj_settings";
	global.__objectNames[17] = "obj_ending";
	global.__objectNames[18] = "obj_story";


	// create another array that has the correct entries
	var len = array_length_1d(global.__objectDepths);
	global.__objectID2Depth = [];
	for( var i=0; i<len; ++i ) {
		var objID = asset_get_index( global.__objectNames[i] );
		if (objID >= 0) {
			global.__objectID2Depth[ objID ] = global.__objectDepths[i];
		} // end if
	} // end for


}
